
.concept-fv {
  background: var(--gradient-concept-fv), url(../img/concept-fv-2.webp) no-repeat center bottom / cover;
}

@media (max-width: 798px) {
  .concept-fv {
    background: var(--gradient-concept-fv), url(../img/concept-fv-2.webp) no-repeat 20% bottom / cover;
  }
}

.philosophy-wrapper .en-section-title {
  color: var(--text-sub);
}

@media (max-width: 798px) {
  .philosophy-wrapper {
    width: 90%;
  }
}

@media (max-width: 560px) {
  .philosophy-wrapper {
    width: 80%;
  }
}

@media (max-width: 375px) {
  .philosophy-wrapper {
    width: 90%;
  }
}

.philosophy-flex-column {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 120px;
}

@media (max-width: 1024px) {
  .philosophy-flex-column {
    gap: 96px;
  }
}

@media (max-width: 798px) {
  .philosophy-flex-column {
    gap: 80px;
  }
}

@media (max-width: 630px) {
  .philosophy-flex-column {
    gap: 64px;
  }
}

@media (max-width: 560px) {
  .philosophy-flex-column {
    gap: 72px;
  }
}

@media (max-width: 375px) {
  .philosophy-flex-column {
    gap: 56px;
  }
}

.philosophy-flex-row {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 96px;
}

@media (max-width: 1024px) {
  .philosophy-flex-row {
    gap: 80px;
  }
}

@media (max-width: 798px) {
  .philosophy-flex-row {
    gap: 64px;
  }
}

@media (max-width: 560px) {
  .philosophy-flex-row {
    flex-direction: column;
    gap: 32px;
  }
}

@media (max-width: 375px) {
  .philosophy-flex-row {
    gap: 28px;
  }
}

.philosophy-flex-row:nth-of-type(2) {
  flex-direction: row-reverse;
}

@media (max-width: 560px) {
  .philosophy-flex-row:nth-of-type(2) {
    flex-direction: column;
  }
}

.philosophy-img {
  width: 41.66%;
  flex-shrink: 0;
  position: relative;
  z-index: 1;
}

@media (max-width: 560px) {
  .philosophy-img {
    width: 100%;
  }
}

@media (max-width: 375px) {
  .philosophy-img {
    width: 90%;
  }
}

.philosophy-img::after {
  content: "";
  position: absolute;
  top: 18px;
  left: 18px;
  right: -18px;
  bottom: -18px;
  border: 1px solid var(--philosophy-img-bg);
  z-index: -1;
}

.philosophy-flex-row:nth-of-type(2) .philosophy-img::after {
  left: -18px;
  right: 18px;
}

.philosophy-title-wrapper {
  position: relative;
  padding-top: 20px;
  display: flex;
  align-items: flex-end;
}

.number-bg {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
  font-family: var(--font-num);
  font-size: 6rem;
  line-height: 1.2;
  letter-spacing: 0.15em;
  color: var(--philosophy-num);
}

@media (max-width: 1024px) {
  .number-bg {
    font-size: 5rem;
  }
}

@media (max-width: 375px) {
  .number-bg {
    font-size: 4rem;
  }
}

.philosophy-title {
  position: relative;
  z-index: 2;
  margin-top: 45px;
  margin-bottom: 40px;
}

@media (max-width: 1024px) {
  .philosophy-title {
    margin-top: 30px;
    margin-bottom: 28px;
  }
}

@media (max-width: 560px) {
  .philosophy-title {
    margin-top: 28px;
    margin-bottom: 24px;
  }
}

@media (max-width: 375px) {
  .philosophy-title {
    margin-top: 20px;
    margin-bottom: 16px;
  }
}

.philosophy-title {
  font-size: 1.5rem;
  font-weight: 500;
  line-height: 1.2;
  letter-spacing: 0.15em;
}

@media (max-width: 798px) {
  .philosophy-title {
    font-size: 1.25rem;
  }
}

.philosophy-text {
  text-align: justify;
}

.philosophy-text span {
  color: var(--color-gold);
}

.director-message,
.teachers {
  background: var(--gradient-teachers-bg), url(../img/teacher-bg.webp) no-repeat center center / cover;
}

.director-message-wrapper .en-section-title {
  color: var(--text-sub);
}

@media (max-width: 1024px) {
  .director-message-wrapper {
    width: 90%;
  }
}

.director-message-flex {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 100px;
}

@media (max-width: 1280px) {
  .director-message-flex {
    gap: 80px;
  }
}

@media (max-width: 1024px) {
  .director-message-flex {
    gap: 56px;
  }
}

@media (max-width: 798px) {
  .director-message-flex {
    flex-direction: column;
    justify-content: flex-start;
    text-align: center;
    gap: 48px;
  }
}

@media (max-width: 560px) {
  .director-message-flex {
    gap: 32px;
  }
}

.director-img {
  width: 26%;
}

@media (max-width: 798px) {
  .director-img {
    width: 40%;
  }
}

@media (max-width: 560px) {
  .director-img {
    width: 200px;
  }
}

.director-img,
.teachers-img {
  flex-shrink: 0;
  border: 2px solid var(--white);
  box-shadow: 2px 4px 10px rgba(0,0,0,0.15);
}

.director-img img {
  aspect-ratio: 3 / 4;
  object-position: top;
}

.director-message-main {
  font-size: clamp(1.5rem, -0.500rem + 2.5vw, 1.75rem);
  font-weight: 500;
  line-height: 1.6;
  letter-spacing: 0.12em;
  margin-bottom: 6px;
}

@media (max-width: 1024px) {
  .director-message-main {
    font-size: 1.25rem;
  }
}

@media (max-width: 560px) {
  .director-message-main {
    font-size: 1.125rem;
  }
}

.director-message-main br {
  display: none;
}

@media (max-width: 1150px) {
  .director-message-main br {
    display: block;
  }
}

.director-message-main span {
  color: var(--color-gold);
}

.director-message-sub {
  margin-bottom: 56px;
  color: var(--color-gold);
}

@media (max-width: 1024px) {
  .director-message-sub {
    margin-bottom: 32px;
  }
}

@media (max-width: 560px) {
  .director-message-sub {
    font-size: 1rem;
    margin-bottom: 24px;
  }
}

.director-message-sub,
.profile-tag {
  font-family: var(--font-en);
  font-size: 1.25rem;
  font-weight: 500;
  line-height: 1.2;
  letter-spacing: 0.1em;
}


.director-message-text {
  margin-bottom: 72px;
}

@media (max-width: 1024px) {
  .director-message-text {
    margin-bottom: 56px;
  }
}

@media (max-width: 798px) {
  .director-message-text {
    margin-bottom: 40px;
  }
}

@media (max-width: 560px) {
  .director-message-text {
    margin-bottom: 32px;
  }
}

@media (max-width: 375px) {
  .director-message-text {
    margin-bottom: 24px;
  }
}

.job-title {
  font-size: 0.875rem;
  letter-spacing: 0.08em;
}

@media (max-width: 798px) {
  .director-name {
    font-size: 1rem;
  }
}

.director-name span {
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.2;
  letter-spacing: 0.15em;
  color: var(--color-gold);
}

@media (max-width: 798px) {
  .director-name span {
    font-size: 0.875rem;
  }
}

@media (max-width: 375px) {
  .director-name span {
    font-size: 0.75rem;
  }
}

.studio-wrapper {
  width: 100%;
  max-width: 1440px;
  padding: 0 3%;
}

.studio-gallery-wrapper {
  position: relative;
  width: 100%;
  aspect-ratio: 16/9;
  overflow: hidden;
}

.studio-slider-container {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  aspect-ratio: 16/9;
}

.studio-slide {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 0;
  transition: opacity 1.5s ease-in-out;
}

.studio-slide.is-studio-active {
  opacity: 1;
}

.studio-slide img {
  transform: scale(1);
  transition: transform 6s linear;
}

.studio-slide.is-studio-active img {
  transform: scale(1.1);
}

.studio-info-wrapper {
  width: 371px;
  padding: 48px 56px;
  display: flex;
  flex-direction: column;
  gap: 40px;
  position: absolute;
  top: 50%;
  right: 5%;
  transform: translateY(-50%);
  z-index: 2;
  background: var(--studio-info-bg);
  backdrop-filter: blur(10px);
  -webkit-backdrop-filter: blur(10px);
  border: 1px solid var(--studio-info-bg);
}

@media (max-width: 1280px) {
  .studio-info-wrapper {
    width: 328px;
    padding: 40px 48px;
    gap: 32px;
  }
}

@media (max-width: 1024px) {
  .studio-info-wrapper {
    width: 280px;
    padding: 32px 40px;
    gap: 24px;
  }
}

@media (max-width: 798px) {
  .studio-info-wrapper {
    display: none;
  }
}

.studio-place {
  margin-bottom: 12px;
}

@media (max-width: 1280px) {
  .studio-place {
    margin-bottom: 10px;
  }
}

@media (max-width: 1024px) {
  .studio-place {
    margin-bottom: 6px;
    font-size: 0.875rem;
  }
}

.studio-info-text {
  font-size: 0.875rem;
  letter-spacing: 0.15em;
}

@media (max-width: 1024px) {
  .studio-info-text {
    font-size: 0.75rem;
  }
}


/*CLASS PAGE  */

.class-fv {
  background: var(--gradient-class-fv),
  url(../img/class-page-fv.webp) no-repeat center center / cover;
}

.lead-text span {
  color: var(--color-gold);
}

.class-wrapper {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-template-rows: repeat(4, 1fr);
  gap: 80px 56px;
}

@media (max-width: 1280px) {
  .class-wrapper {
    gap: 64px 48px;
  }
}

@media (max-width: 1024px) {
  .class-wrapper {
    width: 90%;
    gap: 56px 40px;
  }
}

@media (max-width: 798px) {
  .class-wrapper {
    width: 70%;
    grid-template-columns: repeat(1, 1fr);
    grid-template-rows: repeat(8, 1fr);
  }
}

@media (max-width: 560px) {
  .class-wrapper {
    width: 80%;
  }
}

@media (max-width: 480px) {
  .class-wrapper {
    width: 90%;
  }
}

@media (max-width: 375px) {
  .class-wrapper {
    gap: 48px;
  }
}

.class-card {
  display: flex;
  justify-content: center;
  position: relative;
  background: var(--white);
  border-right: 2px solid;
  border-bottom: 4px solid;
  box-shadow: 0 4px 10px rgba(0,0,0,0.1);
  transition: 
    transform 0.4s cubic-bezier(0.165, 0.84, 0.44, 1),box-shadow 0.4s cubic-bezier(0.165, 0.84, 0.44, 1);
  cursor: pointer;
  z-index: 1;
}

.class-card:hover {
  transform: translateY(-4px) scale(1.02);
  box-shadow: 0 20px 30px color-mix(in srgb, var(--current-class-color), transparent 50%);
  z-index: 10;
}

/* ジャンプした時の黒い枠線を消す */
.class-card:focus {
  outline: none;
}

/* 万が一、青い枠線などが出る場合もこれで消せる */
.class-card:focus-visible {
  outline: none;
}

/* ジャンプしたときにヘッダーの下に潜り込まないようにする */
#junior,
#secondary,
#senior,
#schedule-link {
  scroll-margin-top: 88px;
}

@media (min-width: 1440px) {
  #junior,
  #secondary,
  #senior,
  #schedule-link {
    scroll-margin-top: 96px;
  }
}

@media (max-width: 1024px) {
  #junior,
  #secondary,
  #senior,
  #schedule-link {
    scroll-margin-top: 80px;
  }
}

@media (max-width: 798px) {
  #junior,
  #secondary,
  #senior,
  #schedule-link {
    scroll-margin-top: 72px;
  }
}

@media (max-width: 560px) {
  #junior,
  #secondary,
  #senior,
  #schedule-link {
    scroll-margin-top: 60px;
  }
}

@media (max-width: 375px) {
  #junior,
  #secondary,
  #senior,
  #schedule-link {
    scroll-margin-top: 56px;
  }
}

.class-img {
  flex-grow: 0;
  flex-shrink: 0;
  width: 42%;
  aspect-ratio: 226 / 307;
}

.class-img img {
  height: 100%;
  width: auto;
}

.class-card-content {
  flex-shrink: 1;
  flex-grow: 1;
  padding: 24px 24px 24px 8px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 24px;
  z-index: 1;
}

@media (max-width: 1280px) {
  .class-card-content {
    gap: 16px;
  }
}

@media (max-width: 375px) {
  .class-card-content {
    padding: 24px 5% 24px 0;
  }
}

.class-card::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: var(--gradient-class-card);
}

.jp-class-name {
  line-height: 1;
}

.en-class-name {
  font-family: var(--font-en);
  font-size: 0.875rem;
  font-weight: 500;
  line-height: 1.2;
  letter-spacing: 0.1em;
  color: var(--color-gold);
}

.class-target-age {
  font-family: var(--font-ja-sub);
  font-weight: 500;
  line-height: 1.2;
  letter-spacing: 0.1em;
}

.class-text {
  font-size: clamp(0.875rem, -0.125rem + 1.25vw, 1rem);
}

@media (max-width: 560px) {
  .class-text {
    font-size: 0.75rem;
  }
}

.timetable {
  background: var(--gradient-timetable-bg), url(../img/wall-8.webp) no-repeat center center / cover;
}

@media (max-width: 1024px) {
  .timetable-wrapper {
    width: 90%;
  }
}

.studio-name {
  font-family: var(--font-en);
  font-size: clamp(1.5rem, 0.269rem + 1.923vw, 2rem);
  font-weight: 500;
  line-height: 1.2;
  letter-spacing: 0.1em;
  margin-bottom: 16px;
}

@media (max-width: 1280px) {
  .studio-name {
    margin-bottom: 12px;
  }
}

@media (max-width: 798px) {
  .studio-name {
    margin-bottom: 10px;
  }
}

@media (max-width: 560px) {
  .studio-name {
    font-size: clamp(1.125rem, 0.872rem + 1.081vw, 1.25rem);
  }
}

.schedule-img:first-of-type {
  margin-bottom: 120px;
}

@media (max-width: 1280px) {
  .schedule-img:first-of-type {
    margin-bottom: 100px;
  }
}

@media (max-width: 798px) {
  .schedule-img:first-of-type {
    margin-bottom: 80px;
  }
}

@media (max-width: 560px) {
  .schedule-img:first-of-type {
    margin-bottom: 60px;
  }
}

.schedule-notes {
  margin-top: 32px;
}

@media (max-width: 560px) {
  .schedule-notes {
    font-size: 0.75rem;
  }
}

@media (max-width: 375px) {
  .schedule-notes {
    font-size: 0.625rem;
    margin-top: 20px;
  }
}

.system-name {
  margin-bottom: 12px;
  font-size: clamp(1.125rem, 0.817rem + 0.481vw, 1.25rem);
  line-height: 1.2;
  letter-spacing: 0.1em;
}

@media (max-width: 560px) {
  .system-name {
    margin-bottom: 8px;
  }
}

.fee-table-wrapper {
  margin-bottom: 24px;
}

@media (max-width: 798px) {
  .fee-table-wrapper {
    margin-bottom: 16px;
  }
}

.fee-table {
  table-layout: fixed;
  border: 1px solid var(--table-border);
  background: var(--white);
}

.fee-table th,
.fee-table td {
  border: 1px solid var(--table-border);
  text-align: center;
  vertical-align: middle;
}

.table-header {
  padding: 18px 0;
  background: var(--text-sub);
  color: var(--white);
}

.for-age-column {
  width: 24%;
  padding: 22px 0;
  color: var(--text-sub);
}

.fee-row {
  width: 19%;
}

@media (max-width: 600px) {
  .fee-table,
  .fee-table thead,
  .fee-table tbody,
  .fee-table tr,
  .fee-table th,
  .fee-table td {
    display: block;
    width: 100%;
    border: none;
  }

  .fee-table thead {
    display: none;
  }

  .fee-table .add-top-border {
    border-top: 1px solid var(--table-border);
  }

  .fee-table tr {
    border-right: 1px solid var(--table-border);
    border-left: 1px solid var(--table-border);
    overflow: hidden;
  }

  .fee-table th.for-age-column {
    padding: 12px;
    border-bottom: 1px solid var(--table-border);
    background: var(--text-sub);
    color: var(--white);
    font-weight: 500;
    font-size: 1rem;
  }

  .fee-table td {
    display: flex;
    align-items: center;
    gap: 16px;
    border-bottom: 1px solid var(--table-border);
  }

  .fee-table td.delete-label {
    display: none;
  }

  .fee-table td::before {
    content: attr(data-label);
    width: 35%;
    padding: 12px 16px;
    text-align: left;
    font-weight: 500;
    background: var(--awards-tab);
    color: var(--white);
    font-size: 0.875rem;
  }
}

.deco-otherfee {
  color: var(--color-gold)
}

.fee-notes {
  margin-top: 24px;
}

@media (max-width: 798px) {
  .fee-notes {
    margin-top: 16px;
    font-size: clamp(0.75rem, 0.456rem + 0.84vw, 0.875rem);
  }
}

@media (max-width: 375px) {
  .fee-notes {
    font-size: 0.625rem;
  }
}

.underline-feenotes {
  border-bottom: 1px solid var(--color-gold);
}

/* TEACHERS PAGE */

.teachers-fv {
  background: var(--gradient-teachers-fv),
  url(../img/teacher-page-fv.webp) no-repeat center center / cover;
}

@media (max-width: 1024px) {
  .teachers-wrapper {
    width: 90%;
  }
}

@media (max-width: 798px) {
  .teachers-wrapper {
    width: 80%;
  }
}

.director-flex {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  margin-bottom: 140px;
}

@media (max-width: 1024px) {
  .director-flex {
    margin-bottom: 120px;
  }
}

@media (max-width: 798px) {
  .director-flex {
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    gap: 32px;
    margin-bottom: 100px;
  }
}

@media (max-width: 375px) {
  .director-flex {
    gap: 24px;
    margin-bottom: 64px;
  }
}

.director-flex .director-img {
  width: 41.66%;
}

@media (max-width: 1280px) {
  .director-flex .director-img {
    width: 40%;
  }
}

@media (max-width: 1024px) {
  .director-flex .director-img {
    width: 30%;
  }
}

@media (max-width: 798px) {
  .director-flex .director-img {
    width: 244px;
  }
}

.director-profile-wrapper {
  width: 47.66%;
  display: flex;
  flex-direction: column;
  gap: 48px;
}

@media (max-width: 1280px) {
  .director-profile-wrapper {
    width: 50%;
    gap: 32px;
  }
}

@media (max-width: 1024px) {
  .director-profile-wrapper {
    width: 65%;
    gap: 24px;
  }
}

@media (max-width: 798px) {
  .director-profile-wrapper {
    width: 100%;
    gap: 32px;
  }

  .director-name-wrapper {
    text-align: center;
  }
}


.position {
  margin-bottom: 10px;
}

@media (max-width: 1280px) {
  .position {
    margin-bottom: 8px;
  }
}

@media (max-width: 1024px) {
  .position {
    margin-bottom: 6px;
  }
}

.teacherpage-director-name {
  font-size: clamp(1.25rem, 0.635rem + 0.962vw, 1.5rem);
  font-weight: 500;
  line-height: 1.2;
  letter-spacing: 0.15em;
}

.teacherpage-director-name span {
  color: var(--color-gold);
}

.profile-tag {
  display: inline-block;
  padding: 2px 6px;
  margin-bottom: 10px;
  border-radius: 4px;
  border: 1px solid var(--color-gold);
}

@media (max-width: 1280px) {
  .profile-tag {
    margin-bottom: 6px;
  }
}

.teacherpage-director-message,
.profile {
  text-align: justify;
}

@media (max-width: 798px) {
  .profile {
    font-size: 0.75rem;
  }
}

.teachers-profile-flex {
  display: flex;
  justify-content: space-between;
}

@media (max-width: 798px) {
  .teachers-profile-flex {
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    gap: 48px;
  }
}

.teachers-profile-card {
  width: 30%;
  display: flex;
  flex-direction: column;
  gap: 32px;
}

@media (max-width: 1280px) {
  .teachers-profile-card {
    gap: 24px;
  }
}

@media (max-width: 798px) {
  .teachers-profile-card {
    width: 100%;
    align-items: center;
  }
}

.teachers-img img{
  width: 100% !important;
  height: auto !important;
  object-position: top;
  aspect-ratio: 4/5;
}

@media (max-width: 798px) {
  .teachers-img {
    width: 204px;
  }
}

.teachers-name {
  font-size: clamp(1rem, 0.000rem + 1.563vw, 1.25rem);
}

.en-teachers-name {
  font-size: clamp(0.875rem, 0.375rem + 0.781vw, 1rem);
  color: var(--color-gold);
}

.subteacher-profile-tag {
  font-size: 1rem;
}

/* NEWS PAGE */

.news-fv {
  background: var(--gradient-news-fv),
  url(../img/news-page-fv.webp) no-repeat center center / cover;
}

.news-link {
  padding: 24px 16px;
  border-top: 1px solid var(--news-border);
}

@media (max-width: 1024px) {
  .news-link {
    padding: 20px 12px;
  }
}

@media (max-width: 798px) {
  .news-link {
    padding: 16px 8px;
  }
}

.news-link:last-of-type {
  border-bottom: 1px solid var(--news-border);
}

.news-item {
  display: flex;
  align-items: center;
  gap: 24px;
}

@media (max-width: 375px) {
  .news-item {
    gap: 16px;
  }
}

.news-img {
  width: 180px;
  aspect-ratio: 1/1;
  flex-shrink: 0;
}

@media (max-width: 1280px) {
  .news-img {
    width: 150px;
  }
}

@media (max-width: 798px) {
  .news-img {
    width: 120px;
  }
}

@media (max-width: 375px) {
  .news-img {
    width: 100px;
  }
}

.news-link:hover .news-img img {
  transform: scale(1.1);
}

.news-pagination {
  margin-top: 56px;
  display: flex;
  justify-content: center;
}

@media (max-width: 560px) {
  .news-pagination {
    margin-top: 48px;
  }
}

.news-pagination .page-numbers {
  display: flex;
  gap: 24px;
}

@media (max-width: 560px) {
  .news-pagination .page-numbers {
    gap: 16px;
  }
}

.news-pagination .page-numbers a,
.news-pagination .page-numbers span {
  width: 44px;
  height: 44px;
  display: flex;
  justify-content: center;
  align-items: center;
  background: var(--bg-secondary);
  color: var(--text-sub);
  font-size: 1.25rem;
  font-weight: 500;
  line-height: 1.2;
  letter-spacing: 0.15em;
  transition: all 0.3s ease;
}

@media (max-width: 798px) {
  .news-pagination .page-numbers a,
  .news-pagination .page-numbers span {
    width: 40px;
    height: 40px;
    font-size: 1rem;
  }
}

@media (max-width: 560px) {
  .news-pagination .page-numbers a,
  .news-pagination .page-numbers span {
    width: 32px;
    height: 32px;
    font-size: 0.875rem;
  }
}

.news-pagination .page-numbers a:hover {
  background-color: var(--hover-news-pagination);
}

.news-pagination .page-numbers .current{
  background: var(--text-sub);
  color: var(--white);
  pointer-events: none;
}

.news-pagination .page-numbers .prev,
.news-pagination .page-numbers .next,
.post-nav-arrow {
  font-family: var(--font-nav-arrow);
  font-weight: bold;
}



/* AWARDS PAGE */

.awards-fv {
  background: var(--gradient-awards-fv),
  url(../img/awards-fv.webp) no-repeat center center / cover;
}

@media (max-width: 798px) {
  .awards-fv {
    background: var(--gradient-awards-fv),
      url(../img/awards-fv.webp) no-repeat right 18% top / cover;
  }
}

@media (max-width: 1024px) {
  .competitions-wrapper {
    width: 90%;
  }
}

@media (max-width: 798px) {
  .competitions-wrapper {
    width: 80%;
  }
}

@media (max-width: 560px) {
  .competitions-wrapper {
    width: 90%;
  }
}

.year-tabs {
  margin-bottom: 56px;
}

@media (max-width: 1024px) {
  .year-tabs {
    margin-bottom: 48px;
  }
}

@media (max-width: 1024px) {
  .year-tabs {
    margin-bottom: 32px;
  }
}

.year-tabs ul {
  display: flex;
  justify-content: center;
  gap: 0;
}

@media (max-width: 560px) {
  .year-tabs ul {
    flex-wrap: wrap;
  }
}

.years-tab-item {
  padding: 4px 32px;
  text-align: center;
  cursor: pointer;
  color: var(--awards-tab);
  border-bottom: 1px solid var(--awards-tab);
}

@media (max-width: 1024px) {
  .years-tab-item {
    padding: 4px 24px;
  }
}

@media (max-width: 798px) {
  .years-tab-item {
    padding: 4px 16px;
  }
}

@media (max-width: 560px) {
  .years-tab-item {
    width: 30%;
  }
}

.years-tab-item.is-tab-active {
  font-weight: 500;
  color: var(--text-main);
  border-bottom: 1px solid var(--text-main);
}

.result-container {
  display: none;
}

.result-container.is-tab-active{
  display: grid;
  grid-template-columns: 2fr 1fr;
  grid-template-areas: "media-area text-area";
  aspect-ratio: 15/8;
  gap: 0px;
  border: 1px solid var(--white);
  box-shadow: 0 4px 10px rgba(0,0,0,0.1);
}

@media (max-width: 1024px) {
  .result-container.is-tab-active {
    grid-template-columns: 3fr 2fr;
  }
}

@media (max-width: 798px) {
  .result-container.is-tab-active {
    grid-template-columns: 1fr 2fr;
  }
}

@media (max-width: 560px) {
  .result-container.is-tab-active {
    grid-template-columns: 100%;
    grid-template-areas: "text-area" "media-area" ;
  }
}

.media-area {
  grid-area: media-area;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-template-rows: repeat(2, 1fr);
}

@media (max-width: 798px) {
  .media-area {
    grid-template-columns: 1fr;
    grid-template-rows: repeat(4,1fr);
  }
}

@media (max-width: 560px) {
  .media-area {
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(2, 1fr);
  }
}

.media-item img {
  aspect-ratio: 5/4;
}

@media (max-width: 1024px) {
  .media-item img {
    height: 100%;
  }
}

.text-area {
  grid-area: text-area;
  height: 100%;
  overflow-y: scroll;
  padding: 40px 24px;
  background: var(--bg-secondary);
}

@media (max-width: 560px) {
  .text-area {
    height: 300px;
    padding: 24px;
  }
}

.award-item {
  margin-bottom: 48px;
}

@media (max-width: 798px) {
  .award-item {
    margin-bottom: 32px;
  }
}

.comp-name {
  margin-bottom: 16px;
  font-weight: 500;
}

@media (max-width: 1280px) {
  .comp-name {
    margin-bottom: 10px;
  }
}

.comp-winners {
  font-size: 0.875rem;
}

@media (max-width: 560px) {
  .comp-winners {
    font-size: 0.75rem;
  }
}

.destinations {
  background: var(--gradient-destinations-bg), url(../img/destinations-bg.webp) no-repeat center center / cover;
}

.destinations-content {
  padding: 60px 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 28px;
  background: var(--gradient-destnations-content), url(../img/destinations-bg.webp) no-repeat center center /cover;
}

.destinations-item {
  color: var(--white);
  text-shadow: 0px 1px 2px rgba(0,0,0,0.6);
}




/* CONTACT PAGE */

.contact-fv {
  background: var(--gradient-contact-fv),
  url(../img/contact-page-fv.webp) no-repeat center center / cover;
}

.contact-wrapper {
  width: 50%;
  max-width: 700px;
}

@media (max-width: 1024px) {
  .contact-wrapper {
    width: 60%;
  }
}

@media (max-width: 798px) {
  .contact-wrapper {
    width: 70%;
  }
}

@media (max-width: 375px) {
  .contact-wrapper {
    width: 90%;
  }
}

.form-group label {
  display: block;
  margin-bottom: 8px;
}

.required {
  color: var(--color-gold);
}

.field-style {
  width: 100%;
  padding: 10px;
  border: 1px solid var(--form-field-border);
  border-radius: 4px;
  font-size: 1rem;
  background: var(--white);
}

textarea {
  height: 150px;
}

.form-row {
  display: flex;
  gap: 15%;
}

@media (max-width: 560px) {
  .form-row {
    gap: 8%;
  }
}

.phone-row {
  gap: 7%;
}

@media (max-width: 560px) {
  .phone-row {
    gap: 5%;
  }
}

.form-row .form-group {
  flex: 1;
}

.phone-row .field-style {
  flex: 1;
}

.form-group {
  margin-bottom: 32px;
}

@media (max-width: 375px) {
  .form-group {
    margin-bottom: 24px;
  }
}

/* 親要素のレイアウトを維持 */
.radio-group .wpcf7-form-control-wrap {
  display: block;
  width: 100%;
}

.radio-group .wpcf7-radio {
  display: flex;
  gap: 0px 32px;
  flex-wrap: wrap;
}

@media (max-width: 560px) {
  .radio-group .wpcf7-radio {
    flex-direction: column;
    gap: 0px;
  }
}

.radio-group .wpcf7-list-item {
  margin-top: 8px;
  display: flex;
  align-items: center;
}

@media (max-width: 560px) {
  .radio-group .wpcf7-list-item:not(:first-child) {
    margin-top: 2px;
  }
}

.radio-group .wpcf7-list-item label {
  margin-bottom: 0px;
}

.radio-group input[type="radio"] {
  margin-right: 8px;
  accent-color: var(--text-sub);
}

.class-select-wrapper {
  position: relative;
}

.class-select-wrapper::after {
  content: '▼';
  position: absolute;
  right: 15px;
  top: 50%;
  transform: translateY(-50%);
  pointer-events: none;
}

.form-note,
.char-count {
  font-size: 0.75rem;
  line-height: 1.6;
  letter-spacing: 0.1em;
}

@media (max-width: 560px) {
  .form-note {
    font-size: clamp(0.625rem, 0.372rem + 1.081vw, 0.75rem);
  }
}

.form-note:nth-of-type(2) {
  margin-bottom: 8px;
}

.form-note a {
  display: inline-block;
  font-weight: 500;
  border-bottom: 1px solid var(--color-gold);
}

.char-count {
  text-align: right;
}



/* クラス詳細ページ */

.class-detail-wrapper {
  background: var(--gradient-subpage-class),  url(../img/wall-8.webp) no-repeat center center / cover;
}

.post-class-fv {
  display: flex;
  justify-content: center;
  align-items: center;
  background: linear-gradient(
    135deg,
    color-mix(in srgb, var(--this-class-color), transparent 100%) 0%,
    var(--this-class-color) 100%);
}

.post-title {
  text-align: center;
}

.post-class-name {
  margin-bottom: 16px;
  font-size: clamp(2rem, -2.000rem + 5vw, 2.5rem);
  font-weight: 400;
  line-height: 1.2;
  letter-spacing: 0.1em;
}

@media (max-width: 1024px) {
  .post-class-name {
    margin-bottom: 12px;
  }
}

@media (max-width: 798px) {
  .post-class-name {
    font-size: clamp(1.5rem, 1.057rem + 1.891vw, 2rem);
  }
}

.post-target-age {
  font-family: var(--font-ja-sub);
  font-size: clamp(1.125rem, 0.817rem + 0.481vw, 1.25rem);
  font-weight: 500;
  line-height: 1.2;
  color: var(--text-sub);
}

@media (max-width: 798px) {
  .post-target-age {
    font-size: clamp(1rem, 0.889rem + 0.473vw, 1.125rem);
  }
}

.breadcrumb {
  margin-left: 2%;
  margin-bottom: 72px;
  display: flex;
  gap: 7px;
  font-size: 0.875rem;
  color: var(--text-sub);
}

@media (max-width: 1024px) {
  .breadcrumb {
    font-size: 0.75rem;
  }
}

@media (max-width: 798px) {
  .breadcrumb {
    font-size: 0.625rem;
  }
}

.breadcrumb .current-item {
  font-weight: 500;
}

@media (max-width: 1024px) {
  .breadcrumb {
    margin-bottom: 64px;
  }
}

@media (max-width: 798px) {
  .breadcrumb {
    margin-bottom: 56px;
  }
}

@media (max-width: 560px) {
  .breadcrumb {
    margin-bottom: 48px;
  }
}

@media (max-width: 375px) {
  .breadcrumb {
    margin-bottom: 40px;
  }
}

.class-detail-crumb {
  margin-bottom: 48px;
}

@media (max-width: 1024px) {
  .class-detail-crumb {
    margin-bottom: 40px;
  }
}

@media (max-width: 798px) {
  .class-detail-crumb {
    margin-bottom: 32px;
  }
}

@media (max-width: 560px) {
  .class-detail-crumb {
    margin-bottom: 24px;
  }
}

.bcn-sep {
  font-family: var(--font-nav-arrow);
}

.class-catchcopy {
  margin-bottom: 72px;
  text-align: center;
  font-size: clamp(1.75rem, -0.250rem + 2.5vw, 2rem);
  line-height: 1.2;
  letter-spacing: 0.12em;
}

@media (max-width: 1280px) {
  .class-catchcopy {
    margin-bottom: 64px;
  }
}

@media (max-width: 1024px) {
  .class-catchcopy {
    margin-bottom: 56px;
    font-size: clamp(1.5rem, 0.617rem + 1.77vw, 1.75rem);
  }
}

@media (max-width: 798px) {
  .class-catchcopy {
    margin-bottom: 48px;
    font-size: clamp(1.125rem, 0.793rem + 1.418vw, 1.5rem);
  }
}

@media (max-width: 560px) {
  .class-catchcopy {
    margin-bottom: 40px;
  }
}

@media (max-width: 375px) {
  .class-catchcopy {
    width: 90%;
    margin-bottom: 32px;
  }
}

.post-class-row {
  display: flex;
  justify-content: center;
  gap: 80px;
}

@media (max-width: 1280px) {
  .post-class-row {
    gap: 72px;
  }
}

@media (max-width: 1024px) {
  .post-class-row {
    gap: 56px;
  }
}

@media (max-width: 798px) {
  .post-class-row {
    width: 90%;
    gap: 48px;
  }
}

@media (max-width: 650px) {
  .post-class-row {
    width: 80%;
    flex-direction: column;
    gap: 40px;
  }
}

@media (max-width: 375px) {
  .post-class-row {
    width: 85%;
  }
}

.class-detail-column{
  flex: 1;
  display: flex;
  flex-direction: column;
  gap: 56px;
}

@media (max-width: 1280px) {
  .class-detail-column {
    gap: 48px;
  }
}

@media (max-width: 1024px) {
  .class-detail-column {
    gap: 40px;
  }
}

.class-lesson-img {
  border: 2px solid var(--white);
  border-image: linear-gradient(135deg,
    var(--this-class-color) 0%,
    rgba(255, 255, 255, 1) 50%,
    var(--this-class-color) 100%) 1;
  box-shadow: 2px 4px 10px rgba(0, 0, 0, 0.15);
}

@media (max-width: 650px) {
  .class-lesson-img {
    width: 70%;
    margin: 0 auto;
  }
}

@media (max-width: 560px) {
  .class-lesson-img {
    width: 280px;
  }
}

@media (max-width: 375px) {
  .class-lesson-img {
    width: 100%;
  }
}

.class-lesson-img img {
  aspect-ratio: 4/3;
}

.class-detail-title {
  display: flex;
  margin-bottom: 16px;
  align-items: center;
  font-family: var(--font-en);
  font-size: clamp(1.25rem, 0.250rem + 1.563vw, 1.5rem);
  font-weight: 600;
  line-height: 1.2;
  letter-spacing: 0.05em;
}

@media (max-width: 1280px) {
  .class-detail-title {
    margin-bottom: 12px;
  }
}

.class-detail-title::before {
  content: "";
  display: inline-block;
  width: 4px;
  height: 22px;
  background: var(--color-gold);
  margin-right: 12px;
}

@media (max-width: 1280px) {
  .class-detail-title::before {
    height: 20px;
  }
}

@media (max-width: 1024px) {
  .class-detail-title::before {
    height: 18px;
  }
}

.jp-class-detail-title {
  margin-left: 4px;
  font-family: var(--font-ja);
  font-size: 0.875rem;
  font-weight: 500;
  color: var(--text-sub);
}

.post-schedule-flex {
  display: flex;
  column-gap: 32px;
  flex-wrap: wrap;
}

.class-detail-text,
.schedule-item {
  text-align: justify;
  font-size: clamp(0.875rem, 0.668rem + 0.415vw, 1rem);
}


/* お知らせ投稿ページ */
.post-news-fv {
  display: flex;
  justify-content: center;
  align-items: center;
  background: url(../img/article-fv-bg.webp) no-repeat center center / cover;
}

@media (max-width: 1024px) {
  .post-news-fv {
    background: url(../img/article-fv-bg.webp) no-repeat 10% bottom /cover;
  }
}

.post-news-title {
  margin-bottom: 16px;
  font-size: clamp(1.5rem, -2.500rem + 5vw, 2rem);
  font-weight: 400;
  line-height: 1.2;
  letter-spacing: 0.1em;
}

@media (max-width: 1280px) {
  .post-news-title {
    margin-bottom: 12px;
  }
}

@media (max-width: 1024px) {
  .post-news-title {
    font-size: clamp(1rem, 0.711rem + 1.233vw, 1.5rem);
  }
}

.post-news-date {
  font-size: clamp(1.125rem, 0.125rem + 1.25vw, 1.25rem);
  line-height: 1.2;
  letter-spacing: 0.1em;
}

@media (max-width: 1024px) {
  .post-news-date {
    font-size: clamp(0.75rem, 0.533rem + 0.924vw, 1.125rem);
  }
}

.post-news-content {
  margin-bottom: 120px;
  text-align: justify;
}

@media (max-width: 1024px) {
  .post-news-content {
    margin-bottom: 100px;
  }
}

@media (max-width: 798px) {
  .post-news-content {
    margin-bottom: 80px;
  }
}

@media (max-width: 560px) {
  .post-news-content {
    margin-bottom: 64px;
  }
}

@media (max-width: 375px) {
  .post-news-content {
    margin-bottom: 56px;
  }
}

@media (max-width: 375px) {
  .post-news-content {
    width: 90%;
  }
}

.nav-btn-wrapper {
  display: flex;
  margin-bottom: 72px;
}

.nav-btn-item {
  flex: 1;
  text-align: center;
}

.nav-btn {
  padding: 2rem 0;
  background: var(--text-sub);
  color: var(--white);
  font-family: var(--font-en);
  font-weight: 600;
  line-height: 1;
  letter-spacing: 0.15em;
}

.nav-btn.is-disabled {
  opacity: 0.3;
  cursor: default;
}

.nav-jp-btn {
  position: relative;
  padding: 2rem 0;
  background: var(--bg-secondary);
  color: var(--text-sub);
  transition: color 0.3s ease;
  overflow: hidden;
}

@media (max-width: 1024px) {
  .nav-btn,
  .nav-jp-btn {
    padding: 1.5rem 0;
  }
}

@media (max-width: 375px) {
  .nav-btn,
  .nav-jp-btn {
    padding: 1.25rem 0;
    font-size: 0.75rem;
  }
}

.nav-jp-btn::before,
.nav-jp-btn::after {
  content: "";
  position: absolute;
  left: 50%;
  width: 0;
  height: 1px;
  background-color: var(--color-gold);
  transition: width 0.3s ease, left 0.3s ease;
}

.nav-jp-btn::before {
  top: 0;
}

.nav-jp-btn::after {
  bottom: 0;
}

.nav-jp-btn:hover::before,
.nav-jp-btn:hover::after {
  width: 100%;
  left: 0;
}

.post-nav-arrow {
  display: inline-block;
  transition: transform 0.3s ease;
}

.nav-btn-item:first-child .nav-btn:not(.is-disabled):hover .post-nav-arrow {
  transform: translateX(-8px);
}

.nav-btn-item:last-child .nav-btn:not(.is-disabled):hover .post-nav-arrow {
  transform: translateX(8px);
}


.related-post-title {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 8px;
  margin-bottom: 56px;
}

@media (max-width: 1024px) {
  .related-post-title {
    margin-bottom: 48px;
  }
}

@media (max-width: 560px) {
  .related-post-title {
    margin-bottom: 40px;
  }
}

@media (max-width: 375px) {
  .related-post-title {
    margin-bottom: 32px;
  }
}

.en-related-post-title {
  font-family: var(--font-en);
  font-size: 2.5rem;
  font-weight: 500;
  line-height: 1.2;
  letter-spacing: 0.15em;
}

@media (max-width: 1024px) {
  .en-related-post-title {
    font-size: clamp(1.75rem, 1.147rem + 1.724vw, 2.25rem);
  }
}

@media (max-width: 560px) {
  .en-related-post-title {
    font-size: clamp(1.5rem, 0.993rem + 2.162vw, 1.75rem);
  }
}

.related-post-img {
  width: 120px;
  flex-shrink: 0;
  overflow: hidden;
}

@media (max-width: 375px) {
  .related-post-img {
    width: 100px;
  }
}

.related-post-img img {
  transition: transform 0.4s ease;
}

.news-grid-item:hover .related-post-img img {
  transform: scale(1.1);
}